import { IAuthApiService } from './model/AuthService';
import IMissionApiService from './model/MissonApiService';
import { ServicesType } from './model/ServicesType';
import { ISystemApi } from './model/SystemApi';

declare global {
  interface Window {
    PluginSdk: ISystemApi;
  }
}


export { ServicesType };    
export type { ISystemApi, IMissionApiService, IAuthApiService };
export default  window.PluginSdk as ISystemApi;;